## NAME

v.net.allpairs - Computes the shortest path between all pairs of nodes in the network.

## KEYWORDS

vector, network, shortest path

## SYNOPSIS

v.net.allpairs
v.net.allpairs --help
v.net.allpairs [-g] input=name output=name [arc_layer=string] [node_layer=string] [cats=range] [where=sql_query] [arc_column=name] [arc_backward_column=name] [node_column=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-g
  Use geodesic calculation for longitude-latitude locations
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
output=name [required]
  Name for output vector map
arc_layer=string
  Arc layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
node_layer=string
  Node layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 2
cats=range
  Category values
  Example: 1,3,7-9,13
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
arc_column=name
  Arc forward/both direction(s) cost column (number)
arc_backward_column=name
  Arc backward direction cost column (number)
node_column=string
  Node cost column (number)

## DESCRIPTION

v.net.allpairs computes the shortest path between each selected node and all other selected nodes. The output is a vector with the selected nodes and the shortest paths.

## NOTES

An attribute table is created and linked to layer arc_layer. The table contains four columns: cat, from_cat, to_cat, cost. Each cat entry denotes the category of the shortest path from the node with category from_cat to the node with category to_cat. If points are specified by cats, layer or where parameters then the table is filled only for the selected points.
If arc_backward_column is not given then then the same costs are used for forward and backward arcs.

## EXAMPLE

Find shortest path along roads from selected archsites (Spearfish sample dataset):

    # prepare network: connect archsites to roads with threshold 200
    v.net input=roads@PERMANENT points=archsites@PERMANENT \
    output=roads_net operation=connect thresh=200

    # verify result
    v.category input=roads_net option=report

    # only lines should have a category in layer 1
    # only points should have a category in layer 2

    # shortest path between all points with categories 1 - 5 in layer 2
    v.net.allpairs input=roads_net cats=1-5 out=roads_net_all
    v.db.select roads_net_all

Result in matrix form:

    from\to	1		3		4		5
    1	0		18820.386	17206.651	17373.274
    3	18820.386	0		1739.079	9040.575
    4	17206.651	1739.079	0		7426.84
    5	17373.274	9040.575	7426.84		0

## SEE ALSO

v.net.path, v.net.distance

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor
Markus Metz

Last changed: $Date: 2014-12-24 15:44:33 +0100 (st, 24 12 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual